# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

import pymascot.database_pb2 as database__pb2


class DirectoryStub(object):
  # missing associated documentation comment in .proto file
  pass

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.ExportDevice = channel.unary_unary(
        '/mascot.Directory/ExportDevice',
        request_serializer=database__pb2.DbDevExportInfo.SerializeToString,
        response_deserializer=database__pb2.DirectoryReply.FromString,
        )
    self.ExportDevices = channel.unary_unary(
        '/mascot.Directory/ExportDevices',
        request_serializer=database__pb2.DbDevExportInfos.SerializeToString,
        response_deserializer=database__pb2.DirectoryReply.FromString,
        )
    self.ImportDevice = channel.unary_unary(
        '/mascot.Directory/ImportDevice',
        request_serializer=database__pb2.DeviceName.SerializeToString,
        response_deserializer=database__pb2.DirectoryImportReply.FromString,
        )


class DirectoryServicer(object):
  # missing associated documentation comment in .proto file
  pass

  def ExportDevice(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ExportDevices(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ImportDevice(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_DirectoryServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'ExportDevice': grpc.unary_unary_rpc_method_handler(
          servicer.ExportDevice,
          request_deserializer=database__pb2.DbDevExportInfo.FromString,
          response_serializer=database__pb2.DirectoryReply.SerializeToString,
      ),
      'ExportDevices': grpc.unary_unary_rpc_method_handler(
          servicer.ExportDevices,
          request_deserializer=database__pb2.DbDevExportInfos.FromString,
          response_serializer=database__pb2.DirectoryReply.SerializeToString,
      ),
      'ImportDevice': grpc.unary_unary_rpc_method_handler(
          servicer.ImportDevice,
          request_deserializer=database__pb2.DeviceName.FromString,
          response_serializer=database__pb2.DirectoryImportReply.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'mascot.Directory', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
